#pragma once
#include "Pascal.h"

	class TLogger
	{
	public:
		String FBuffer;
		Integer FIndentLevel;
		THandle FFileHandle;
	public:
		procedure EnsureBufferSize(Integer ASize);
		procedure IncreaseIndent();
		procedure DecreaseIndent();
	public:
		procedure DebugLn(PChar Message, Integer ALength);
		procedure DebugLn(String Message);
		procedure DebugLn(String Message, Pointer Arguments);
		procedure DebugLnEnter(PChar Message, Integer ALength);
		procedure DebugLnEnter(String Message);
		procedure DebugLnEnter(String Message, Pointer Arguments);
		procedure DebugLnExit();
		TLogger(String AFilePath);
	};

const Char INDENT_CHAR = 0x9;

